<template>
  <el-dropdown class="international" @command="handleSetLanguage"  placement="left-start">
    <span class="theme-color">{{$t('selectLang.switchLang')}}</span>
    <el-dropdown-menu slot="dropdown">
      <el-dropdown-item :disabled="$i18n.locale==='zh-CN'" command="zh-CN">中文</el-dropdown-item>
      <el-dropdown-item :disabled="$i18n.locale==='en-US'" command="en-US">English</el-dropdown-item>
    </el-dropdown-menu>
  </el-dropdown>
</template>

<script>
import moment from 'moment';//日期格式化插件
import portal from '@/api/portal.js'
export default {
  name:"lang-select",
  computed: {
    language() {
      return localStorage.getItem("lang")||"zh-CN"
    }
  },
  methods: {
    handleSetLanguage(lang) {
      this.$i18n.locale = lang
      // this.$validator.locale = lang

      // 日期控件格式化
      if("zh-CN"==lang){
        moment.locale('zh-cn');
      }else{
        moment.locale('en');
      }

      localStorage.setItem("lang",lang)
      this.$message({
        message: this.$t('selectLang.switchLangMsg'),
        type: 'success'
      })
      if(this.$route.path.indexOf("login")==-1){
        window.location.reload();
      }
      
    },
    getAllDict() {
      portal.getSysDict().then(data => {
        // console.log(data, '字典')
        if (data) {
          sessionStorage.setItem('dict_data', JSON.stringify(data))
        }
      })
    },
  }
}
</script>

<style lang="scss" scoped>
@import "@/assets/css/element-variables.scss";
.theme-color{
  color: $--color-text-regular;
}
.international{
  margin-right: 10px;
}
</style>